Retrieve the content of a published page as markdown (scope: document.read)
curl --request GET \
--url https://api.standards.site/beta/workspace/{workspace-id}/project/{project-id}/page/{page-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.standards.site/beta/workspace/{workspace-id}/project/{project-id}/page/{page-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.standards.site/beta/workspace/{workspace-id}/project/{project-id}/page/{page-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": "z3plqkvf52r",
"project": "3e95a13e7f1",
"page": "logo",
"content": "<string>"
}{
"error": "invalid_request",
"error_description": "workspace-id is required"
}{
"error": "invalid_client",
"error_description": "The client credentials are invalid"
}{
"error": "access_denied",
"error_description": "The scope 'projects.read' is required to access this resource"
}{
"error": "not_found",
"error_description": "The project has not been published"
}Page
Retrieve the content of a published page as markdown (scope: document.read)
GET
/
workspace
/
{workspace-id}
/
project
/
{project-id}
/
page
/
{page-id}
Retrieve the content of a published page as markdown (scope: document.read)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The identifier for the workspace
The identifier for the project in the workspace
The url of the page within the project
Response
Page content retrieved successfully
The workspace id (matches the workspace-id sent with the request)
Example:
"z3plqkvf52r"
The project id (matches the project-id sent with the request)
Example:
"3e95a13e7f1"
The page id (matches the page-id sent with the request)
Example:
"logo"
The contents of the page as markdown